From 3bf5896cfb9400bb9cbebe895ae3bcdc5feaccd3 Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Tue, 8 Sep 2020 20:54:34 +0200
Subject: [PATCH] Add DESTDIR support in both kore and kodev Makefiles.

---
 Makefile       | 17 +++++++++--------
 kodev/Makefile |  5 +++--
 2 files changed, 12 insertions(+), 10 deletions(-)

diff --git a/Makefile b/Makefile
index a92e0ae8..945f2601 100644
--- a/Makefile
+++ b/Makefile
@@ -1,6 +1,7 @@
 # Kore Makefile
 
 CC?=cc
+DESTDIR?=
 PREFIX?=/usr/local
 OBJDIR?=obj
 KORE=kore
@@ -185,14 +186,14 @@ $(OBJDIR):
 	@mkdir -p $(OBJDIR)
 
 install:
-	mkdir -p $(SHARE_DIR)
-	mkdir -p $(INCLUDE_DIR)
-	mkdir -p $(INSTALL_DIR)
-	mkdir -p $(MAN_DIR)/man1
-	install -m 644 share/man/kodev.1 $(MAN_DIR)/man1/kodev.1
-	install -m 555 $(KORE) $(INSTALL_DIR)/$(KORE)
-	install -m 644 kore.features $(SHARE_DIR)/features
-	install -m 644 include/kore/*.h $(INCLUDE_DIR)
+	mkdir -p $(DESTDIR)$(SHARE_DIR)
+	mkdir -p $(DESTDIR)$(INCLUDE_DIR)
+	mkdir -p $(DESTDIR)$(INSTALL_DIR)
+	mkdir -p $(DESTDIR)$(MAN_DIR)/man1
+	install -m 644 share/man/kodev.1 $(DESTDIR)$(MAN_DIR)/man1/kodev.1
+	install -m 555 $(KORE) $(DESTDIR)$(INSTALL_DIR)/$(KORE)
+	install -m 644 kore.features $(DESTDIR)$(SHARE_DIR)/features
+	install -m 644 include/kore/*.h $(DESTDIR)$(INCLUDE_DIR)
 	$(MAKE) -C kodev install
 
 uninstall:
diff --git a/kodev/Makefile b/kodev/Makefile
index 5e9e346e..baffd6e5 100644
--- a/kodev/Makefile
+++ b/kodev/Makefile
@@ -4,6 +4,7 @@ CC?=cc
 PREFIX?=/usr/local
 OBJDIR?=obj
 KODEV=kodev
+DESTDIR?=
 INSTALL_DIR=$(PREFIX)/bin
 
 S_SRC=	../src/cli.c
@@ -42,8 +43,8 @@ $(OBJDIR):
 	@mkdir -p $(OBJDIR)
 
 install: $(KODEV)
-	mkdir -p $(INSTALL_DIR)
-	install -m 555 $(KODEV) $(INSTALL_DIR)/$(KODEV)
+	mkdir -p $(DESTDIR)$(INSTALL_DIR)
+	install -m 555 $(KODEV) $(DESTDIR)$(INSTALL_DIR)/$(KODEV)
 
 uninstall:
 	rm -f $(INSTALL_DIR)/$(KODEV)
